package domain


type AlibabaWdkSeriesEditApiResult struct {
    /*
        错误码     */
    ErrCode  *string `json:"err_code,omitempty" `

    /*
        商品系列更新成功结果     */
    Model  *bool `json:"model,omitempty" `

    /*
        错误详情     */
    ErrMsg  *string `json:"err_msg,omitempty" `

    /*
        是否成功     */
    Success  *bool `json:"success,omitempty" `

}

func (s *AlibabaWdkSeriesEditApiResult) SetErrCode(v string) *AlibabaWdkSeriesEditApiResult {
    s.ErrCode = &v
    return s
}
func (s *AlibabaWdkSeriesEditApiResult) SetModel(v bool) *AlibabaWdkSeriesEditApiResult {
    s.Model = &v
    return s
}
func (s *AlibabaWdkSeriesEditApiResult) SetErrMsg(v string) *AlibabaWdkSeriesEditApiResult {
    s.ErrMsg = &v
    return s
}
func (s *AlibabaWdkSeriesEditApiResult) SetSuccess(v bool) *AlibabaWdkSeriesEditApiResult {
    s.Success = &v
    return s
}
